#
# vzip.py
#
# Copyright (c) 2017 Parallels IP Holdings GmbH
#
# This file is part of OpenVZ. OpenVZ is free software;
# you can redistribute it and/or modify it under the terms of the GNU
# Lesser General Public License as published by the Free Software Foundation;
# either version 2 of the License, or (at your option) any later
# version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
# 02110-1301, USA.
#
# Our contact details: Parallels IP Holdings GmbH, Vordergasse 59, 8200
# Schaffhausen, Switzerland.

from pyanaconda.i18n import N_
from pyanaconda.product import productName
from blivet.size import Size
from distutils.sysconfig import get_python_lib
import sys

sys.path.insert(0,"%s/pyanaconda/installclasses" % get_python_lib(plat_specific=1))

from virtuozzo import VirtuozzoBaseInstallClass

class VIPBaseInstallClass(VirtuozzoBaseInstallClass):
    name = N_("_Virtuozzo Infrastructure Platform")
    hidden = False
    if productName != "Virtuozzo Infrastructure Platform":
        hidden = True

    def __init__(self):
        VirtuozzoBaseInstallClass.__init__(self)
        self.with_va = False
        self.create_bridges = False
        self.fix_ifcfgs = True
        self.slash_size = Size("64GiB")
        self.max_slash_size = Size("256GiB")

    @property
    def get_release_f(self):
        return "/etc/vz-platform-release"
